Subject: bug#29423: 27.0.50; ls-lisp does not handle -F switch properly

From: Noam Postavsky <[email-masked]>
Date: Fri, 24 Nov 2017 14:51:15 -0500

On Fri, Nov 24, 2017 at 2:28 PM, Drew Adams <[email-masked]> wrote:

> I did it again, from emacs -Q, with the Emacs 26.1 pretest.
>
> I tried with M-x load-library ls-lisp.el, and
> I tried with M-x load-library ls-lisp.elc.  And I
> think that neither should be needed, since Emacs
> on MS Windows (which I'm using) uses ls-lisp by
> default.
>
> I still see what I reported earlier: the property
> is on the directory name (but not on the /).

I can reproduce according to Michael's instructions on MS-Windows, in
Emacs 24.5, 25.3, and an Emacs 26 pretest (I don't have exactly
26.0.90 handy though).

> I'm guessing that the Emacs 26 you're using is
> something later than the pretest.  Or else the
> difference has something to do with the platform.

Are you looking at a dired buffer? That's the only I can replicate
what you are reporting.